Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
ed25519.cpp File Reference
`#include <botan/ed25519.h>`
`#include <botan/internal/ed25519_internal.h>`
`#include <botan/sha2_64.h>`
`#include <botan/rng.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
void | Botan::ed25519_gen_keypair (uint8_t *pk, uint8_t *sk, const uint8_t seed[32])
void | Botan::ed25519_sign (uint8_t sig[64], const uint8_t m[], size_t mlen, const uint8_t sk[64], const uint8_t domain_sep[], size_t domain_sep_len)
bool | Botan::ed25519_verify (const uint8_t *m, size_t mlen, const uint8_t sig[64], const uint8_t *pk, const uint8_t domain_sep[], size_t domain_sep_len)